\name{phi2phi}
\alias{phi2phi}

\title{Deflecting angles in different coordinate systems}
\description{Convert from a deflecting angle in a sloping coordinate system aligned with the terrain to deflecting angle in a horizontal projection.
}

\usage{ 
phi2phi(phi,phih,psi)
}

\arguments{
\item{phi}{deflecting angle with respect to the direction of steepest decent in a sloping coordinate system aligned with the terrain.}
\item{phih}{deflecting angle with respect to the direction of steepest decent in the map plane, that is the angle between the horizontal projections of the avalanche direction and the dam axis.}
\item{psi}{the slope of the terrain.}
}

\value{\code{phi2phi} returns a vector of angles
with the same number of elements as \code{phi}, \code{phih} or \code{psi}.
}
\author{Tomas Johannesson}

\examples{
\dontrun{
phi2phi(phi=25*pi/180,psi=10*pi/180)
}
}

\note{The arguments must be named so that the routine can
differentiate between \code{phi} and \code{phih}.

The angles \code{phi}, \code{phih} and \code{psi}are given in radians.

In general, \code{phi} \eqn{\le}{<=} \code{phih} so that the deflecting angle in 
the map plane may be used as a conservative estimate of the
deflecting angle for dam design.
}

\seealso{\code{\link{vdamheight}}, \code{\link{sdamslope}}, \code{\link{damangle}} and \code{\link{phicontour}}.}

\keyword{math}
