\name{phicontour}
\alias{phicontour}

\title{"Deflecting" angle of contour lines on a dam side}
\description{Computes the \dQuote{deflecting angle} of contour lines on a dam side from deflecting angle, slope of the terrain, and the angle of the dam side with respect to the terrain.
}

\usage{ 
phicontour(phi,psi,alfa)
}

\arguments{
\item{phi}{deflecting angle with respect to the direction of steepest decent in a sloping coordinate system aligned with the terrain.}
\item{psi}{the slope of the terrain.}
\item{alfa}{the angle of the dam side with respect to the sloping terrain in the direction normal to the dam axis in a plane normal to the upstream terrain.}
}

\value{\code{phicontour} returns a vector of angles
with the same number of elements as \code{phi}, \code{psi} or \code{alfa}.
}
\author{Tomas Johannesson}

\examples{
\dontrun{
phicontour(25*pi/180,10*pi/180,40*pi/180)
}
}

\note{The returned \dQuote{deflecting angle} of the contour lines on the dam side is defined in the map plane.

This function is useful in an analysis of the flow of avalanches against natural obstructions where a \dQuote{dam axis} is in many cases not easily defined. The returned \dQuote{deflecting angle} of the contour lines may be compared with angles measured from maps and used to compute the deflecting angles \code{phi} and \code{phih} (see \code{\link{phi2phi}}) corresponding to a dam that is dynamically equivalent to the terrain obstruction.

The angles \code{phi}, \code{psi} and \code{alfa} are given in radians.
}

\seealso{\code{\link{vdamheight}}, \code{\link{sdamslope}}, \code{\link{damangle}} and \code{\link{phi2phi}}.}

\keyword{math}
