\name{viadam.mxdffn}
\alias{viadam.mxdffn}

\title{Utility function to compute the maximum deflecting angle as a function of shock angle}
\description{Computes an expression related to the the derivative of the deflecting angle as a function of the shock angle for use in a function to compute the maximum deflecting angle.
}

\usage{ 
viadam.mxdffn(teta,Fr)
}

\arguments{
\item{teta}{shock angle.}
\item{Fr}{Froude number.}
}

\value{\code{viadam.mxdffn} returns a vector of values of an expression related to the derivative of the deflecting angle \code{phi} as a function of the shock angle \code{teta} for the given value of the Froude number \code{Fr}. This expression is zero at the maximum deflecting angle for the given Froude number. The returned vector has the same number of elements as \code{teta}. 
}
\author{Tomas Johannesson}

\examples{
\dontrun{
viadam.mxdffn(22*pi/180,7)
}
}

\note{The angle \code{teta} is given in radians and so is the returned angle \code{phi}.

This function is written for use in the function \code{\link{mxphi}} and is not intended for other use.
}

\seealso{\code{\link{mxphi}}.}

\keyword{internal}
